toolzerhub API Docs

Get post details

Get a post by ID or status URL, with text, counts, author, media, and any quoted or reposted post. An unknown ID returns data: null.

1 credit / requestBilled only on success
GET
/v1/x/post

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

id*string

Numeric post ID, such as the id of a post in any list response, or an x.com status URL.

Lengthlength <= 300
curl -X GET "https://example.com/v1/x/post?id=2110947164512038931" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "2110947164512038931",    "url": "https://x.com/elonmusk/status/2110947164512038931",    "text": "My OG Roadster is still orbiting Mars and Earth",    "lang": "en",    "source": null,    "created_at": "2026-10-16T04:13:18.000Z",    "like_count": 28745,    "reply_count": 1803,    "repost_count": 1924,    "quote_count": 223,    "view_count": 1318534,    "bookmark_count": 655,    "is_reply": false,    "in_reply_to_post_id": null,    "in_reply_to_user_id": null,    "in_reply_to_handle": null,    "conversation_id": "2110947164512038931",    "is_pinned": false,    "author": {      "id": "44196397",      "handle": "elonmusk",      "name": "Elon Musk",      "description": "https://t.co/ZdBx5WABYx",      "location": null,      "website": null,      "avatar_url": "https://pbs.twimg.com/profile_images/2103567689515954176/aR-Kjpp4_normal.jpg",      "banner_url": "https://pbs.twimg.com/profile_banners/44196397/1774145451",      "followers_count": 241486916,      "following_count": 1420,      "posts_count": 110328,      "media_count": 4740,      "likes_count": 253528,      "is_verified": false,      "is_blue_verified": true,      "verified_type": null,      "protected": null,      "created_at": "2009-06-02T20:12:29.000Z",      "pinned_post_ids": [        "2110913107094606330"      ],      "is_automated": false    },    "media": [],    "hashtags": [],    "mentions": [],    "urls": [],    "card": null,    "article": null,    "place": null,    "quoted_post": {      "id": "2110901359952408576",      "url": "https://x.com/Tesla/status/2110901359952408576",      "text": "Roadster and a rocket have shared a ride before https://t.co/fSjkkrvzqx",      "lang": "en",      "source": null,      "created_at": "2026-10-16T01:11:17.000Z",      "like_count": 11213,      "reply_count": 249,      "repost_count": 872,      "quote_count": 138,      "view_count": 1410563,      "bookmark_count": 394,      "is_reply": false,      "in_reply_to_post_id": null,      "in_reply_to_user_id": null,      "in_reply_to_handle": null,      "conversation_id": "2110901359952408576",      "is_pinned": false,      "author": {        "id": "13298072",        "handle": "Tesla",        "name": "Tesla",        "description": "Electric vehicles, giant batteries & solar, SI & robotics",        "location": null,        "website": "https://www.tesla.com",        "avatar_url": "https://pbs.twimg.com/profile_images/1337607516008501250/6Ggc4S5n_normal.png",        "banner_url": "https://pbs.twimg.com/profile_banners/13298072/1762567360",        "followers_count": 24857431,        "following_count": 55,        "posts_count": 10670,        "media_count": 2065,        "likes_count": 8290,        "is_verified": false,        "is_blue_verified": true,        "verified_type": "Business",        "protected": null,        "created_at": "2008-02-10T01:12:32.000Z",        "pinned_post_ids": [          "2110788059008819215"        ],        "is_automated": false      },      "media": [        {          "id": "2110901240825823232",          "type": "photo",          "url": "https://pbs.twimg.com/media/HUttfpdawAAQMGK.jpg",          "alt_text": null,          "width": 1920,          "height": 1080,          "duration_ms": null,          "variants": null        },        {          "id": "2110901265878364161",          "type": "photo",          "url": "https://pbs.twimg.com/media/HUtthGyaMAEkD-g.jpg",          "alt_text": null,          "width": 3406,          "height": 1722,          "duration_ms": null,          "variants": null        }      ],      "hashtags": [],      "mentions": [],      "urls": [],      "card": null,      "article": null,      "place": null    },    "reposted_post": null  }}